/* gjiten_settings.h
   
   GJITEN : A GTK+/GNOME BASED JAPANESE DICTIONARY
  
   Copyright (C) 1999-2002 Botond Botyanszki <boti at rocketmail dot com>
   
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published  by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */

#include <gconf/gconf-client.h>
#include <pango/pango-font.h>
#include "kanjidic.h"
#include "gjiten.h"

typedef struct gjiten_conf {
  char *dictpath;
  char *version;
  char *kanjipad;
  int numofdics;

  int usekanjidic;
  char *kanjidicfile;
  int kanjidicfile_descriptor;

  char *dicfiles[MAXDICFILES];
  char *full_dicnames[MAXDICFILES];
  int dicfile_descriptor[MAXDICFILES];

  char *history[60];
  //int tooltips;
  int toolbar;
  int menubar;
  int usekanjipad;
  int kdiccfg[KCFGNUM];
  int startkanjidic;
  char *kanji_to_lookup;
  char *word_to_lookup;
  int clip_kanji_lookup;
  int clip_word_lookup;
  int maxwordmatches;
  int bigwords;
  int bigkanji;
  char *bigfont;
  char *normalfont;
  int gdk_use_xft;
  int force_ja_JP;
  int force_language_c;
  int searchlimit_enabled;
  int autoadjust_enabled;
  int deinflection_enabled;
  int selected_dic;
  int dicts_ok;
  int mmaped_dic_num;
  char *mmaped_dic;
  PangoFontDescription *normalfont_desc;
} GjitenConfig;


#ifdef __GJITEN_SETTINGS__
GjitenConfig conf;
GConfClient *gconf_client;

#else

extern GjitenConfig conf;
extern GConfClient *gconf_client;
extern int load_settings();
extern int save_settings();
extern int save_history(GList *history);
extern void save_options();
#endif

